Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet
Class AgletInfo

    java.lang.Object
      |
      +--com.ibm.aglet.AgletInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class AgletInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

AgletInfo class is a object which contains the information of the aglet.

Version:
  1.00 $Date: 2001/07/28 06:33:58 $
Author:
  Mitsuru Oshima
See Also:
  Serialized Form

Constructor Summary
`AgletInfo(AgletID aid, java.lang.String classname, java.net.URL codebase, java.lang.String origin, long birthtime, short api_major_version, short api_minor_version, java.security.cert.Certificate authorityCert)` Constructs a AgletInfo with the specified parameters.

Method Summary
`java.lang.String` | `getAddress()`
`java.lang.String` | `getAgletClassName()` Gets the class name of the aglet.
`AgletID` | `getAgletID()` Gets the aglet id
`short` | `getAPIMajorVersion()` Gets the API major version to which the aglet is instantiated.
`short` | `getAPIMinorVersion()` Gets the API minor version to which the aglet is instantiated.
`java.security.cert.Certificate` | `getAuthorityCertificate()`
`java.lang.String` | `getAuthorityName()`
`java.net.URL` | `getCodeBase()` Gets the codebase address where the aglet code resides.
`long` | `getCreationTime()` Gets the time when the aglet is created.
`java.lang.String` | `getOrigin()` Gets the origin address where the aglet was instantiated.
`java.lang.String` | `toString()` Gets a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgletInfo

    public AgletInfo(AgletID aid,
                     java.lang.String classname,
                     java.net.URL codebase,
                     java.lang.String origin,
                     long birthtime,
                     short api_major_version,
                     short api_minor_version,
                     java.security.cert.Certificate authorityCert)

  Constructs a AgletInfo with the specified parameters. This is used internally and the aglet programmers should not use this API.
  Parameters:
    `aid` - the aglet identifier.
    `address` - the address where the aglet currently resides.
    `classname` - the classname of the aglet.
    `codebase` - the codebase of the aglet classes.
    `origin` - the address where the aglet was instantiated.
    `birthtime` - the time when the aglet was instantiated.
    `api_major_version` - major version.
    `api_minor_version` - minor version.
    `authorityCert` - the authority's certificate of the aglet.

Method Detail

### getAddress

    public java.lang.String getAddress()

### getAgletClassName

    public java.lang.String getAgletClassName()

  Gets the class name of the aglet.

### getAgletID

    public AgletID getAgletID()

  Gets the aglet id

### getAPIMajorVersion

    public short getAPIMajorVersion()

  Gets the API major version to which the aglet is instantiated.

### getAPIMinorVersion

    public short getAPIMinorVersion()

  Gets the API minor version to which the aglet is instantiated.

### getAuthorityCertificate

    public java.security.cert.Certificate getAuthorityCertificate()

### getAuthorityName

    public java.lang.String getAuthorityName()

### getCodeBase

    public java.net.URL getCodeBase()

  Gets the codebase address where the aglet code resides.

### getCreationTime

    public long getCreationTime()

  Gets the time when the aglet is created.

### getOrigin

    public java.lang.String getOrigin()

  Gets the origin address where the aglet was instantiated.

### toString

    public java.lang.String toString()

  Gets a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD